org.wso2.carbon.dataservices.sql.driver.query.select

## Class CustomSelectQuery

- java.lang.Object
- - org.wso2.carbon.dataservices.sql.driver.query.Query
  - - org.wso2.carbon.dataservices.sql.driver.query.ConditionalQuery
    - - org.wso2.carbon.dataservices.sql.driver.query.select.SelectQuery
      - - org.wso2.carbon.dataservices.sql.driver.query.select.CustomSelectQuery

-     public class CustomSelectQuery
      extends SelectQuery

  This class represents a select query for custom data sources.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CustomSelectQuery(Statement stmt)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `execute()`
    `ResultSet` | `executeQuery()`

    - ### Methods inherited from class org.wso2.carbon.dataservices.sql.driver.query.select.SelectQuery

      `executeSQL, executeUpdate, getTargetColumns, getTargetTable, getTargetTableName, isAllColumnsSelected`

    - ### Methods inherited from class org.wso2.carbon.dataservices.sql.driver.query.ConditionalQuery

      `getCondition, processConditions`

    - ### Methods inherited from class org.wso2.carbon.dataservices.sql.driver.query.Query

      `findParam, getConnection, getParameters, getProcessedTokens, getStatement`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CustomSelectQuery

          public CustomSelectQuery(Statement stmt)
                            throws SQLException

      Throws:
        `SQLException`

  - ### Method Detail

    - #### executeQuery

          public ResultSet executeQuery()
                                 throws SQLException

      Specified by:
        `executeQuery` in class `Query`
      Throws:
        `SQLException`

    - #### execute

          public boolean execute()
                          throws SQLException

      Specified by:
        `execute` in class `Query`
      Throws:
        `SQLException`

Copyright © 2020 WSO2. All rights reserved.